using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BasicGramms
{
	internal class Program
	{
		static void Main(string[] args)
		{
			//BasicDelegate del = new BasicDelegate();
			//del.DoTest();

			//BasicEvent evt = new BasicEvent();
			//evt.DoTest();

			//BasicEventUser evtUser = new BasicEventUser();
			//evtUser.DoTest();

			//BasicLambda lambda = new BasicLambda();
			//lambda.DoTest();

			//BasicLinq linq = new BasicLinq();
			//linq.DoTest();

			//BasicFuncAction funcAction = new BasicFuncAction();
			//funcAction.DoFuncTest();
			//funcAction.DoActionTest();

			BasicThread thread = new BasicThread();
			thread.DoTest();

			Console.ReadKey();
		}
	}
}
